# Perl sample code to send an SMS via the Red Oxygen SMS gateway over HTTP. You must have an active account with
# Red Oxygen to be able to send an SMS.

# Copyright Red Oxygen 2005

use strict;
use warnings;
use LWP;

sub SendSMS{
  my $browser = LWP::UserAgent->new;
  
  # access the parameters passed, these are mandatory
  (my $accountID, my $email, my $password, my $recipient, my $message) = @_;

  # the url that is sent to
  my $url = 'http://sms1.redoxygen.net/sms.dll?Action=SendSMS';

  # post to the url with required parameteres
  my $response = $browser->post( $url,
    [ 'AccountID' => $accountID,           # AccountID in CI0001234 format
      'Email' => $email,                   # The email that is registered with red oxygen
      'Password' => $password,             # The password for the user with that email address
      'Recipient' => $recipient,           # List of mobile numbers to send to
      'Message' => $message                # The text of the message sent
    ]
  );
  
  # prints the server response, see the Red Oxygen documentation for error codes
  print $response->content;

} #End SendSMS


SendSMS('CI0001234','username@company.com','mypassword','+61409475382','Test from Perl');

